import UIKit
import AMRSDK

public class AMRFlutterPlugin: NSObject, FlutterPlugin {
    
  public static func register(with registrar: FlutterPluginRegistrar) {
    let instance = AMRFlutterPlugin()
    
    let defaultChannel = FlutterMethodChannel(name: "admost_flutter", binaryMessenger: registrar.messenger())
    registrar.addMethodCallDelegate(instance, channel: defaultChannel)
    
    registrar.register(
        AdmostBannerFactory(messeneger: registrar.messenger()),
        withId: "admost_flutter/banner"
    )
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    guard let appId = call.arguments as? String  else {
        result(FlutterError(code: "Missing args!", message: "Missing appliation id.", details: nil))
        return
    }
    
    switch call.method {
    case "initialize":
        AMRSDK.start(withAppId: appId)
        break
    case "startTestSuite":
        AMRSDK.startTestSuite(withAppId: appId)
        break
    default:
        result(FlutterMethodNotImplemented)
    }
  }
}
